# Uses of Class
org.eclipse.equinox.p2.metadata.VersionRange

Packages that use VersionRange
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.
org.eclipse.equinox.p2.query
Provides common classes for the query mechanism.
org.eclipse.equinox.p2.repository.artifact
Defines artifact repository.

## Uses of VersionRange in org.eclipse.equinox.p2.metadata

Fields in org.eclipse.equinox.p2.metadata declared as VersionRange
Modifier and Type
Field
Description
`static final VersionRange`
VersionRange.`emptyRange`
TODO: This should not be OSGi but it has to be that for now since the resolver creates a filter where the min and max are converted into strings.
Methods in org.eclipse.equinox.p2.metadata that return VersionRange
Modifier and Type
Method
Description
`static VersionRange`
VersionRange.`create(String versionRange)`
Parses a version range from the specified string.
`VersionRange`
VersionRange.`intersect(VersionRange r2)`
Methods in org.eclipse.equinox.p2.metadata with parameters of type VersionRange
Modifier and Type
Method
Description
`static IRequirement`
MetadataFactory.`createRequirement(String namespace, String name, VersionRange range, String filter, boolean optional, boolean multiple, boolean greedy)`
Create and return a new requirement (`IRequirement`) with the specified values.
`static IRequirement`
MetadataFactory.`createRequirement(String namespace, String name, VersionRange range, IMatchExpression<IInstallableUnit> filter, boolean optional, boolean multiple)`
Returns a `IRequirement` with the given values.
`static IRequirement`
MetadataFactory.`createRequirement(String namespace, String name, VersionRange range, IMatchExpression<IInstallableUnit> filter, int minCard, int maxCard, boolean greedy)`
Create and return a new requirement (`IRequirement`) with the specified values.
`static IRequirement`
MetadataFactory.`createRequirement(String namespace, String name, VersionRange range, IMatchExpression<IInstallableUnit> filter, int minCard, int maxCard, boolean greedy, String description)`
Create and return a new requirement (`IRequirement`) with the specified values.
`static IUpdateDescriptor`
MetadataFactory.`createUpdateDescriptor(String id, VersionRange range, int severity, String description)`
Creates a new update descriptor object.
`static IUpdateDescriptor`
MetadataFactory.`createUpdateDescriptor(String id, VersionRange range, int severity, String description, URI location)`
Create and return a new update descriptor `IUpdateDescriptor` with the specified values.
`VersionRange`
VersionRange.`intersect(VersionRange r2)`

## Uses of VersionRange in org.eclipse.equinox.p2.query

Methods in org.eclipse.equinox.p2.query with parameters of type VersionRange
Modifier and Type
Method
Description
`static IQuery<IInstallableUnit>`
QueryUtil.`createIUQuery(String id, VersionRange range)`
Creates a query that will match any `IInstallableUnit` with the given id, and whose version falls in the provided range.

## Uses of VersionRange in org.eclipse.equinox.p2.repository.artifact

Constructors in org.eclipse.equinox.p2.repository.artifact with parameters of type VersionRange
Modifier
Constructor
Description
``
`ArtifactDescriptorQuery(String id, VersionRange versionRange, String format)`
The query will match descriptors with the given `id`, `versionRange` and `format`
``
`ArtifactDescriptorQuery(String id, VersionRange versionRange, String format, Map<String,String> properties)`
The query will match descriptors with the given `id`, `versionRange`, `format`, and `properties`.
``
`ArtifactKeyQuery(String classifier, String id, VersionRange range)`
Pass the id and/or version range to match IArtifactKeys against.